Create a new performance policy in NetApp Console local deployment
POST /v1/organizations/{organizationId}/performancepolicies
Creates a new performance policy within the specified organization.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
organizationId |
string |
path |
True |
Unique identifier of the organization. |
Request Body
Expected to contain necessary parameters for creating a new performance policy.
| Name | Type | Required | Description |
|---|---|---|---|
adaptive |
True |
Adaptive performance policy details. |
|
description |
string |
False |
Description of the performance policy. |
name |
string |
True |
Name of the performance policy. |
tags |
array[tags] |
False |
JSON array of tags (name/value pairs) associated with the performance policy. Can be used to add any additional data related to the performance policy. |
type |
string |
True |
Media type of the resource. Defined values are:
|
version |
string |
True |
Version of the resource schema. Defined values are:
|
Example request
{
"adaptive": {
"absoluteMinIopsPerTb": 1500,
"expectedIopsPerTb": 2000,
"expectedLatency": 200,
"peakIopsPerTb": 3000
},
"description": "Configuration for extreme performance on workloads",
"name": "Extreme Performance",
"tags": [
{
"internal:bxp:metric:associatedWorkloadCnt": "3"
}
],
"type": "application/vnd.netapp.bxp.performancepolicy",
"version": "1.0"
}
Response
Status: 201, Performance policy created successfully
| Name | Type | Required | Description |
|---|---|---|---|
adaptive |
False |
Adaptive performance policy details. |
|
description |
string |
False |
Description of the performance policy. |
id |
string |
True |
Unique identifier of the performance policy. |
metadata |
False |
Metadata associated with the resource. |
|
name |
string |
True |
Name of the performance policy. |
organizationId |
string |
False |
Organization ID that the policy is associated with. |
policyType |
string |
False |
Type of the performance policy. |
tags |
array[tags] |
False |
JSON array of tags (name/value pairs) associated with the performance policy. Can be used to add any additional data related to the performance policy. |
type |
string |
False |
Media type of the resource. Defined values are:
|
version |
string |
False |
Version of the resource schema. Defined values are:
|
Example response
{
"adaptive": {
"absoluteMinIopsPerTb": 800,
"expectedIopsPerTb": 1000,
"expectedLatency": 500,
"peakIopsPerTb": 1500
},
"description": "Configuration for high performance workloads",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"metadata": {
"createdBy": "666a3f38-d4fa-5b62-a391-a69029758d32",
"creationTimestamp": "2022-10-06T20:58:16.305662Z",
"labels": [],
"modificationTimestamp": "2022-10-06T20:58:16.305662Z",
"modifiedBy": "666a3f38-d4fa-5b62-a391-a69029758d32"
},
"name": "High Performance Policy",
"organizationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"policyType": "USER_DEFINED",
"tags": [
{
"internal:bxp:metric:associatedWorkloadCnt": "2"
}
],
"type": "application/vnd.netapp.bxp.performancepolicy",
"version": "1.0"
}
Error
Status: 400, Bad request
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The supplied query parameters are invalid.",
"status": "400",
"title": "Invalid query parameters",
"type": "https://bluexp.netapp.io/problems/1"
}
Error
Status: 401, Unauthorized
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The request is missing the required bearer token.",
"status": "401",
"title": "Missing bearer token",
"type": "https://bluexp.netapp.io/problems/1"
}
Error
Status: 403, Forbidden
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The requested operation isn't permitted.",
"status": "403",
"title": "Operation not permitted",
"type": "https://bluexp.netapp.io/problems/11"
}
Error
Status: 404, Not found
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The collection specified in the request URI wasn't found.",
"status": "404",
"title": "Collection not found",
"type": "https://bluexp.netapp.io/problems/2"
}
Error
Status: 409, Conflict
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The request body JSON contains a field that conflicts with an idempotent value.",
"status": "409",
"title": "JSON resource conflict",
"type": "https://bluexp.netapp.io/problems/10"
}
Definitions
See Definitions
adaptive_perf_policy_1.0
Adaptive performance policy details.
| Name | Type | Required | Description |
|---|---|---|---|
absoluteMinIopsPerTb |
integer |
False |
Absolute minimum IOPS per terabyte that is used as an override when the expected IOPS is less than this value. |
expectedIopsPerTb |
integer |
True |
Minimum expected IOPS, per terabyte. |
expectedLatency |
integer |
True |
Expected latency, in milliseconds. |
peakIopsPerTb |
integer |
True |
Maximum expected IOPS, per terabyte. |
type_bxp_label
Name/value pair.
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
Name of the label. |
value |
string |
True |
Value of the label. |
type_bxp_metadata
Metadata associated with the resource.
| Name | Type | Required | Description |
|---|---|---|---|
createdBy |
string |
False |
UUID of the user who created the resource. |
creationTimestamp |
string |
False |
Resource creation date. |
labels |
array[type_bxp_label] |
False |
Array of name/value pairs representing additional information for the resource. |
modificationTimestamp |
string |
False |
Resource modification date. |
modifiedBy |
string |
False |
UUID of the user who modified the resource. |
invalidParams
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
Name of the invalid parameter. |
reason |
string |
True |
Reason why the parameter is invalid. |